> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stardrift.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Search Result



## OpenAPI

````yaml /openapi.json post /v1/trips/{trip_id}/search-results
openapi: 3.1.0
info:
  title: Stardrift API
  description: >-
    Read and edit the authenticated user's trips, itineraries, recorded
    bookings, and saved lists. Private records are owner-scoped. MCP tool names
    are documented separately from these HTTP operations.
  version: v1
servers:
  - url: https://stardrift.ai/api
security: []
paths:
  /v1/trips/{trip_id}/search-results:
    post:
      tags:
        - mcp-server
      summary: Add Search Result
      operationId: add_search_result_v1_trips__trip_id__search_results_post
      parameters:
        - name: trip_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Trip Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SelectSearchResult'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: >-
                  Response Add Search Result V1 Trips  Trip Id  Search Results
                  Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SelectSearchResult:
      properties:
        search_id:
          type: string
          format: uuid
          title: Search Id
        result_index:
          type: integer
          minimum: 0
          title: Result Index
      type: object
      required:
        - search_id
        - result_index
      title: SelectSearchResult
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````